package cn.palmte.work.model;


import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 项目预算成本明细临时表
 */
@Entity
@Table(name = "project_budget_cost_detail_temp")
public class ProjectBudgetCostDetailTemp extends ProjectBudgetCostDetailBase{
    public ProjectBudgetCostDetail toProjectBudgetCostDetail(){
        ProjectBudgetCostDetail detail = new ProjectBudgetCostDetail();
        detail.setProjectId(getProjectId());
        detail.setType(getType());
        detail.setCategory(getCategory());
        detail.setName(getName());
        detail.setUnit(getUnit());
        detail.setAmount(getAmount());
        detail.setPrice(getPrice());
        detail.setTaxRate(getTaxRate());
        return detail;
    }
}